import request from '../../utils/request';

export function getDepartmentList(data) {
  return request({
    url: '/baseStaff/query/staffsByDept', // 获取部门下用户列表
    method: 'get',
    params: data
  });
}
export function delateUser(data) {
  return request({
    url: '/managerStaff/api/remove', // 删除部门下用户
    method: 'post',
    data
  });
}
export function addCreate(data) {
  return request({
    url: '/department/api/create', // 创建部门
    method: 'post',
    data
  });
}
export function changeDepartment(data) {
  return request({
    url: '/baseStaff/api/changeDepartment', // 修改用户部门
    method: 'post',
    data
  });
}

export function getRoleDutyByCompId(data) {
  return request({
    url: '/baseRole/query/getRoleDutyByCompId', // 获取部门下用户列表
    method: 'get',
    params: data
  });
}

export function getRoleListByDeptId(data) {
  return request({
    url: '/commonDeptRole/query/getRoleListByDeptId', // 获取部门下用户列表
    method: 'get',
    params: data
  });
}

export function addShipCreate(data) {
  return request({
    url: '/commonDeptRole/api/createVesselDept', // 创建船端部门
    method: 'post',
    data
  });
}
